Loading...
Searching...
No Matches
bridgeif.c File Reference
`#include "netif/bridgeif.h"`
`#include "lwip/netif.h"`
`#include "lwip/sys.h"`
`#include "lwip/etharp.h"`
`#include "lwip/ethip6.h"`
`#include "lwip/snmp.h"`
`#include "lwip/timeouts.h"`
`#include <string.h>`

## Functions

err_t | bridgeif_fdb_add (struct netif *bridgeif, const struct eth_addr *addr, bridgeif_portmask_t ports)
err_t | bridgeif_fdb_remove (struct netif *bridgeif, const struct eth_addr *addr)
err_t | bridgeif_init (struct netif *netif)
err_t | bridgeif_add_port (struct netif *bridgeif, struct netif *portif)

## Detailed Description

lwIP netif implementing an IEEE 802.1D MAC Bridge